var client;
var args;
var ticket;
var headers;
var requesterEmail;

document.onreadystatechange = function () {
  if (document.readyState === "interactive") renderApp();

  function renderApp() {
    var onInit = app.initialized();

    onInit.then(getClient).catch(handleErr);

    function getClient(_client) {
      client = _client;
      initialFunctions(client);
    }
  }
};

function initialFunctions(client) {
  client.events.on("ticket.propertiesUpdated", ticketFieldUpdate, {
    intercept: true,
  });
}

var ticketFieldUpdate = function (event) {
  var event_data = event.helper.getData();
  var orgEvent = event;
  client.data.get("ticket").then(
    function () {
      if (event_data.changedAttributes.status != undefined) {
        if (event_data.changedAttributes.status[1] == 5) {
          client.interface
            .trigger("showConfirm", {
              title: "ticket",
              message: "Title",
              saveLabel: "Yes",
              cancelLabel: "No",

              /*"title" and "message" should be plain text.*/
            })
            .then(function (result) {
              /* "result" will be either "Save" or "Cancel" */

              if (result.message == "Yes") {
                orgEvent.helper.done();
              } else if (result.message == "No") {
                orgEvent.helper.done();
              }
            });
        } else {
          event.helper.done("done");
        }
      } else {
        event.helper.done("done");
      }
    },
    function (error) {
      console.log("error=3");
      console.log(error);
    }
  );

  // event.helper.done("done");

  // To prevent the original event from completing
  // event.helper.fail('errorMessage')
};
